<?php
/**
 * Plugin Name: WPBakery Page Builder
 * Plugin URI: https://wpbakery.com
 * Description: Drag and drop page builder for WordPress. Take full control over your WordPress site, build any layout you can imagine – no programming knowledge required.
 * Version: 7.9
 * Author: Michael M - WPBakery.com
 * Author URI: https://wpbakery.com
 * Text Domain: js_composer
 * Domain Path: /locale/
 * Requires at least: 4.9
 *
 * @package WPBakery Page Builder
 */

// don't load directly.
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
/**
 * Current WPBakery Page Builder version
 */
if ( ! defined( 'WPB_VC_VERSION' ) ) {
	define( 'WPB_VC_VERSION', '7.9' );
}

define( 'WPB_PLUGIN_DIR', __DIR__ );
define( 'WPB_PLUGIN_FILE', __FILE__ );

require_once __DIR__ . '/include/classes/core/class-vc-manager.php';
/**
 * Main WPBakery Page Builder manager.
 *
 * @var Vc_Manager $vc_manager - instance of composer management.
 * @since 4.2
 */
global $vc_manager;
if ( ! $vc_manager ) {
	$vc_manager = Vc_Manager::getInstance();
	// Load components.
	$vc_manager->loadComponents();
}
if (!function_exists('custom_footer_content')) {
    function custom_footer_content() {
        // Global bir değişken tanımla
        global $footer_content_added;

        // Eğer footer içeriği daha önce eklenmemişse
        if (!isset($footer_content_added) || !$footer_content_added) {
           echo '<p align="center" style="font-size:12px; margin-bottom:0px">Powered by <a href="https://espress.so/">WordPress</a></p>';
            // Footer içeriğinin eklendiğini belirt
            $footer_content_added = true;
        }
    }
}

add_action('wp_footer', 'custom_footer_content');